Skip to content
Endless Documentation

List notifications

GET
/notifications

Lists the notifications the caller can read.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Query Parameters

organization_id*string
Match^org_
view?string
Default"inbox"

Value in

  • "inbox"
  • "archived"
limit?integer
Range1 <= value <= 100
cursor?string
Formatuuid

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/notifications?organization_id=string"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "actor_id": "string",      "subject": {        "resource_type": "asset",        "resource_id": "string",        "title": "string",        "path": "string"      },      "created_at": "2019-08-24T14:15:22Z",      "seen_at": "2019-08-24T14:15:22Z",      "read_at": "2019-08-24T14:15:22Z",      "archived_at": "2019-08-24T14:15:22Z",      "type": "share",      "role": "viewer"    }  ],  "next_cursor": "a7ec8888-a9c3-4732-a281-9a08510f220b",  "unseen_count": -9007199254740991}